Bug 121817 - install doesn't renew DHCP lease
install doesn't renew DHCP lease
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2004-04-28 00:33 EDT by Jesper Ekhall
Modified: 2008-03-26 15:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-26 15:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesper Ekhall 2004-04-28 00:33:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
Q312461; .NET CLR 1.1.4322)

Description of problem:
Installer hangs when doing FTP-installation because the DHCP lease is 
not renewed properly during installation. My ISP drops the network 
connection when the lease is not renewed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect computer to ISP which drops network connection when DHCP 
lease is not renewed.
2. Try to install Fedora with FTP installation

Actual Results:  Hanged installation

Expected Results:  Flawless installation

Additional info:
Comment 1 Andrew Rose 2005-07-27 11:43:04 EDT
I can confirm this bug in slightly different circumstances.  If my case, the
installation was waiting for user input when the DHCP lease expired.  The DHCP
server then gave the IP address to another computer.  However, this computer
failed to boot because it noticed that the IP address was use.  (The
half-installed box was presumably still responding to ARP requests for it's IP
address even though it hadn't renewed the lease.)
Comment 2 John Thacker 2006-10-30 09:47:17 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 3 Jesper Ekhall 2006-10-31 03:28:26 EST
Bug still there during install of fc6.
Comment 4 petrosyan 2008-02-16 08:41:46 EST
Fedora Core 6 is no longer maintained.

Can you reproduce this bug in Fedora 8?
Comment 5 petrosyan 2008-03-26 15:06:54 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.